Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05396 Interface Trivial Always Dec 22, 2013, 11:03 Dec 12, 2018, 20:09
Tester Yonah View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Confirmed Driver
Version 0.151 Fixed in Version Build 64-bit
Summary 05396: "Select New Game" list capturing keyboard input while hidden
Description If a game is already loaded and running, the "Select New Game" list will capture keystrokes even if the list is hidden.
Steps To Reproduce With a game loaded and running:

1) Press 'tab' to display the UI.
2) Navigate to "select new game", press enter.
3) Press 'tab' to hide the UI.
4) Type "ABCDEFG"
5) Press 'tab' to display the UI again.
6) "Type name or select" will now have the letters "ACEG" entered.
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.10090
B2K24
Moderator
Dec 22, 2013, 20:12
This behavior does happen as your describe it, but when choosing Return to Previous Menu instead of pressing TAB to hide the menu, then it doesn't happen.
Lets wait to hear from others about this issue.
User avatar
No.10093
Fujix
Administrator
Dec 23, 2013, 10:35
It repros for me.
User avatar
No.10130
hap
Developer
Jan 4, 2014, 23:58
the cause of "ACEG" is fixed now, it will show "ABCDEFG"
User avatar
No.10131
hap
Developer
Jan 5, 2014, 00:00
and yeah, we should probably reset buffered commands when the TAB menu is opened
User avatar
No.15898
MetalGod
Tester
Dec 12, 2018, 15:37
Fixed
It cannot be reproduced since mame 0.171, when the current UI was added.
User avatar
No.15900
Tafoid
Administrator
Dec 12, 2018, 20:09
edited on: Dec 12, 2018, 20:21
The issue here still exists, even if the text is completely buffered, it appears when you use the old layout (-ui simple) and since 0.153 the buffer of what is typed shows when TAB is hit to bring you back to game select. The real question is, should TAB be allowed at all or maybe the new game selection be cancelled in the case of trying to excape the game selection?